
D4Science Infrastructure - VM Creation #9770

JackRabbit Repo cluster over Postgres for preprod infra 

Sep 25, 2017 02:28 PM - Valentina Marioli

Status: Closed Start date: Sep 25, 2017

Priority: Urgent Due date: Oct 02, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Moving of Dev and preprod DB to shared

Postgres

  

Infrastructure: Pre-Production Applications list and

version:

 

RAM: 5 Applications context

path:

/home-library-webapp

CPU: 2 External storage data

disk:

 

DiskSpace: 50 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/preprod

/gcube/preprod/preVRE

/gcube/preprod/preECO

/gcube/preprod/devEDISON

/gcube/preprod/Dorne

  

Description

The current JackRabbit Repository instance for preprod is going to be dismissed and will be replaced by the same setting we have in

production and dev.

History

#2 - Sep 25, 2017 04:00 PM - Andrea Dell'Amico

- Tracker changed from Task to VM Creation

- RAM set to 5

- CPU set to 2

- DiskSpace set to 50

- Smartgears set to Yes

- Smartgears Version set to latest

- Applications context path updated

- data transfer enabled set to No

- PostgreSQL database set to Yes

- Number of VMs set to 1

@valentina.marioli@isti.cnr.it I transformed the task in a VM creation one. The old VM will be dismissed and a new one created.

Please fill the missing fields appropriately (the smartgears scopes, mostly)

#3 - Sep 28, 2017 12:03 PM - Valentina Marioli

- Smartgears scopes updated

#4 - Sep 28, 2017 05:13 PM - Andrea Dell'Amico
Thanks. The VM will be created as soon as the DNS manager interface will become available again.

#5 - Sep 29, 2017 03:01 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20

VM name will be workspace-repository-t.pre.d4science.org

#6 - Sep 29, 2017 04:37 PM - Massimiliano Assante

- Due date set to Oct 02, 2017

- Priority changed from Normal to Urgent

@tommaso.piccioli@isti.cnr.it , @andrea.dellamico@isti.cnr.it  we'd really need this VM ready monday morning. The current (Derby based) JCR node

is not usable anymore after @valentina.marioli@isti.cnr.it tried to clean it. Can you make it?

#7 - Sep 29, 2017 04:39 PM - Andrea Dell'Amico

We are working on it. As you can see by @tommaso.piccioli@isti.cnr.it comment, the VM was created as soon as the DNS management interface

came back.

#8 - Sep 29, 2017 06:21 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

jackrabbit is available: http://workspace-repository-t.pre.d4science.org/home-library-webapp/

A valid ssl certificate will be emitted in the next days.

The admin password has been changed, I'll communicate it privately.

#9 - Oct 18, 2017 03:48 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

I guess it's working.
